Retrieve the prased data for the upload audio file
curl --request GET \
--url https://api.eka.care/health/api/v1/fhir/retrieve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/health/api/v1/fhir/retrieve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/health/api/v1/fhir/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resourceType": "Bundle",
"type": "document",
"link": [
{
"url": "<string>",
"relation": "<string>"
}
],
"entry": [
{
"resource": {
"author": [
{
"reference": "<string>"
}
],
"date": "2023-11-07T05:31:56Z",
"extension": [
{
"url": "<string>",
"valueString": "<string>"
}
],
"id": "<string>",
"identifier": {
"system": "<string>",
"value": "<string>"
},
"meta": {
"lastUpdated": "2023-11-07T05:31:56Z"
},
"resourceType": "<string>",
"section": [
{
"entry": [
{
"reference": "<string>"
}
],
"title": "<string>"
}
],
"status": "<string>",
"subject": {
"reference": "<string>"
},
"title": "<string>",
"type": {
"text": "<string>"
}
}
}
],
"id": "<string>",
"meta": {
"versionId": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"profile": [
"<string>"
],
"security": [
{
"code": "<string>",
"display": "<string>",
"system": "<string>"
}
]
},
"identifier": {
"system": "<string>",
"value": "<string>"
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"message": "Unauthorized"
}{
"resourceType": "Bundle",
"type": "document",
"meta": {
"lastUpdated": "2023-11-07T05:31:56Z"
}
}Read
Retrieve health records
Retrieve a health record based on the given identifier, hip_id, and health_id in nrces FHIR json format.
GET
/
health
/
api
/
v1
/
fhir
/
retrieve
Retrieve the prased data for the upload audio file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier for the health record is care_context_id.
Was this page helpful?
⌘I

